// @mixin -> directiva que permite crear código CSS que se puede reu
// reutilizar en todo el sitio web
/* @mixin name {
    property : value;
    property : value;
    ...
} */

@mixin important-text {
    color: red;
    font-size: 25px;
    font-weight: bold;
    border: 1px solid blue;
}

.danger{
    @include important-text;
    background-color: green;
}

//@extend
/*
    @extend directiva que permite compartir un conjunto
    de propiedades CSS de un selector a otro.
    Es utili si se tiene elementos de estilo casi
    idénticos que solo difieren en algunos pequellos detalles.
*/

.button-basic{
    border: none;
    padding: 15px 30px;
    text-align: center;
    font-size: 16px;
    cursor: pointer;
}

.button-report{
    @extend .button-basic;
    background-color: red;
}

.button-submit{
    @extend .button-basic;
    background-color: green;
    color: while;
}